AM263Px MCU+ SDK: CANFD_MCANMsgRAMCfgParams Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
CANFD_MCANMsgRAMCfgParams Struct Reference
APIs for SOC Specific Device Drivers » APIs for CANFD

## Data Fields
uint32_t | lss
uint32_t | lse
uint32_t | txBufNum
uint32_t | txFIFOSize
uint32_t | txBufMode
uint32_t | txEventFIFOSize
uint32_t | txEventFIFOWaterMark
uint32_t | rxFIFO0size
uint32_t | rxFIFO0waterMark
uint32_t | rxFIFO0OpMode
uint32_t | rxFIFO1size
uint32_t | rxFIFO1waterMark
uint32_t | rxFIFO1OpMode

## Field Documentation

## ◆ lss

uint32_t CANFD_MCANMsgRAMCfgParams::lss

List Size: Standard ID 0 = No standard Message ID filter 1-127 = Number of standard Message ID filter elements others = Values greater than 128 are interpreted as 128

## ◆ lse

uint32_t CANFD_MCANMsgRAMCfgParams::lse

List Size: Extended ID 0 = No standard Message ID filter 1-64 = Number of standard Message ID filter elements others = Values greater than 64 are interpreted as 64

## ◆ txBufNum

uint32_t CANFD_MCANMsgRAMCfgParams::txBufNum

Number of Dedicated Transmit Buffers 0 = No Dedicated Tx Buffers 1-32 = Number of Dedicated Tx Buffers others = Values greater than 32 are interpreted as 32

## ◆ txFIFOSize

uint32_t CANFD_MCANMsgRAMCfgParams::txFIFOSize

Transmit FIFO/Queue Size 0 = No Tx FIFO/Queue 1-32 = Number of Tx Buffers used for Tx FIFO/Queue others = Values greater than 32 are interpreted as 32

## ◆ txBufMode

uint32_t CANFD_MCANMsgRAMCfgParams::txBufMode

Tx FIFO/Queue Mode 0 = Tx FIFO operation 1 = Tx Queue operation

## ◆ txEventFIFOSize

uint32_t CANFD_MCANMsgRAMCfgParams::txEventFIFOSize

Event FIFO Size 0 = Tx Event FIFO disabled 1-32 = Number of Tx Event FIFO elements others = Values greater than 32 are interpreted as 32

## ◆ txEventFIFOWaterMark

uint32_t CANFD_MCANMsgRAMCfgParams::txEventFIFOWaterMark

Tx Event FIFO Watermark 0 = Watermark interrupt disabled 1-32 = Level for Tx Event FIFO watermark interrupt others = Watermark interrupt disabled

## ◆ rxFIFO0size

uint32_t CANFD_MCANMsgRAMCfgParams::rxFIFO0size

Rx FIFO0 Size 0 = No Rx FIFO 1-64 = Number of Rx FIFO elements others = Values greater than 64 are interpreted as 64

## ◆ rxFIFO0waterMark

uint32_t CANFD_MCANMsgRAMCfgParams::rxFIFO0waterMark

Rx FIFO0 Watermark 0 = Watermark interrupt disabled 1-63 = Level for Rx FIFO 0 watermark interrupt others = Watermark interrupt disabled

## ◆ rxFIFO0OpMode

uint32_t CANFD_MCANMsgRAMCfgParams::rxFIFO0OpMode

Rx FIFO0 Operation Mode 0 = FIFO blocking mode 1 = FIFO overwrite mode

## ◆ rxFIFO1size

uint32_t CANFD_MCANMsgRAMCfgParams::rxFIFO1size

Rx FIFO1 Size 0 = No Rx FIFO 1-64 = Number of Rx FIFO elements others = Values greater than 64 are interpreted as 64

## ◆ rxFIFO1waterMark

uint32_t CANFD_MCANMsgRAMCfgParams::rxFIFO1waterMark

Rx FIFO1 Watermark 0 = Watermark interrupt disabled 1-63 = Level for Rx FIFO 1 watermark interrupt others = Watermark interrupt disabled

## ◆ rxFIFO1OpMode

uint32_t CANFD_MCANMsgRAMCfgParams::rxFIFO1OpMode

Rx FIFO1 Operation Mode 0 = FIFO blocking mode 1 = FIFO overwrite mode